/*
Copyright (C) 2006-2008 Lin Himmelmann

This file is part of TreeTime.
See the NOTICE file distributed with this work for additional
information regarding copyright ownership and licensing.

TreeTime is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

TreeTime is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with TreeTime.  If not, see <http://www.gnu.org/licenses/>.
*/
namespace TreeTime_Constraint
{

	inline const double GammaConstraint::getMinimum() const
	{
		return m_minimum;
	}

	inline const double GammaConstraint::getMean() const
	{
		return m_mean;
	}

	inline const double GammaConstraint::getAlpha() const
	{
		return m_alpha;
	}
	inline const double GammaConstraint::getThreshold() const
	{
		return m_threshold;
	}
		
	inline bool GammaConstraint::isTimeConstraint() const
	{
		return true;
	}

}//TreeTime_Constraint
