/*
Copyright (C) 2006-2008 Lin Himmelmann

This file is part of TreeTime.
See the NOTICE file distributed with this work for additional
information regarding copyright ownership and licensing.

TreeTime is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

TreeTime is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with TreeTime.  If not, see <http://www.gnu.org/licenses/>.
*/
namespace TreeTime_RateChangeModel
{	

	template<class STATE>
	std::ostream& operator<<(std::ostream& p_out, const MolecularClock<STATE>&
			p_RCM)
	{
		p_RCM.operator<<(p_out);
		return p_out;
	}

	template<class STATE>
	void MolecularClock<STATE>::operator<<(std::ostream& p_out) const
	{
		p_out	<< "MC";
	}

	template<class STATE>
	MolecularClock<STATE>::MolecularClock()
	{
	}

	template<class STATE>
	MolecularClock<STATE>::MolecularClock(const MolecularClock<STATE>& p_Rhs)
	{
	}

	template<class STATE>
	MolecularClock<STATE>::~MolecularClock()
	{
	}

	template<class STATE>
	MolecularClock<STATE>& MolecularClock<STATE>::operator=(const MolecularClock
			<STATE>& p_Rhs)
	{
		return *this;
	}
	
	template<class STATE>
	MolecularClock<STATE>* MolecularClock<STATE>::clone() const
	{
		return new MolecularClock<STATE>();
	}

	template<class STATE>
	TreeTime_Mcmcmc::Change* MolecularClock<STATE>::getChange(STATE* p_pTree,
			int p_loci, double p_runiform) const
	{
		return 0;
	}

	template<class STATE>
	double MolecularClock<STATE>::getLogDensity(STATE* p_pTree, int p_loci)
			const
	{
		return 0;
	}

	template<class STATE>
	void  MolecularClock<STATE>::initRateChanges(STATE* p_pState, int p_loci)
			const
	{
	}

	template<class STATE>
	int MolecularClock<STATE>::getId() const
	{
		return 0;
	}

}//TreeTime_RateChangeModel
